[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.OnDblClick

Event Handle for mouse double-click

## Declaration

Source position: controls.pp line 1226

`protected property TControl.OnDblClick: TNotifyEvent read FOnDblClick write FOnDblClick;`

## Description

Double-clicking is much more common in a Windows environment than in Unix or Linux, where single-clicking is the default method for selecting an object. However, in all environments there could be valid use for a double-click, and a method should be supplied if appropriate.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .